Package org.eclipse.emf.cdo.common.model

# Enum Class CDOPackageUnit.State

java.lang.Object
java.lang.Enum<CDOPackageUnit.State>
org.eclipse.emf.cdo.common.model.CDOPackageUnit.State

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOPackageUnit.State>`, `Constable`

Enclosing interface:
  `CDOPackageUnit`

public static enum CDOPackageUnit.State extends Enum<CDOPackageUnit.State>
Describes the possible states a `package unit` may be in during its lifecycle.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISPOSED`
The state of a `package unit` after the associated `package registry` has been deactivated, that is the repository been stopped or the session been closed.
`LOADED`
The state of a `package unit` after the described `packages` are loaded or wired from the `global package registry`.
`NEW`
The state of a `package unit` after one of its described `packages` is newly attached to a transactional `package registry`, but before the associated transaction is committed.
`PROXY`
The state of a `package unit` after the context of the associated `package registry` has been initialized, that is the repository been started or the session been opened.

## Method Summary

Modifier and Type
Method
Description
`static CDOPackageUnit.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOPackageUnit.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEW

public static final CDOPackageUnit.State NEW
The state of a `package unit` after one of its described `packages` is newly attached to a transactional `package registry`, but before the associated transaction is committed. A `NEW` package unit can only transition to `LOADED` or `DISPOSED`.

### LOADED

public static final CDOPackageUnit.State LOADED
The state of a `package unit` after the described `packages` are loaded or wired from the `global package registry`. A `LOADED` package unit can only transition to `DISPOSED`.

### PROXY

public static final CDOPackageUnit.State PROXY
The state of a `package unit` after the context of the associated `package registry` has been initialized, that is the repository been started or the session been opened. A `PROXY` package unit can only transition to `LOADED` or `DISPOSED`.

### DISPOSED

public static final CDOPackageUnit.State DISPOSED
The state of a `package unit` after the associated `package registry` has been deactivated, that is the repository been stopped or the session been closed. A `DISPOSED` package unit can not transition to any other state.

## Method Details

### values

public static CDOPackageUnit.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOPackageUnit.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null